!set title=Cálculo de matriz inversa 2x2 II
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
author=XIAO Gang
email=xiao@unice.fr
leftrange=-5.000000
rightrange=5.000000
precision=10000

ansorder=r
varcnt=13
prevarcnt=12
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(20)]
val7=$[rint($val6/2)]
tmp0=!randitem 1,2

val8=$[rint($(tmp0))]
tmp0=!randitem -1,1

tmp1=!randint 1, 8

val9=$[rint($(tmp0)*$(tmp1))]
tmp0=!randitem -1,1

tmp1=!randint 1, 8

val10=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint -$val7, $val7

val11=$[rint(2*$(tmp0)+1)]
tmp0=!randint -$val6, $val6

val12=$[rint($(tmp0))]
tmp0=!randint -$val7, $val7

val13=$[rint(2*$(tmp0))]
tmp0=!randint -$val7, $val7

val14=$[rint(2*$(tmp0)+1)]
tmp=!trim $val11,$val12;$val13,$val14
val15=!translate internal $	\
$ to ;; in $tmp

!ifval $val8=1
t_=!replace internal \( by ( in print([$val12/($val9),$val11/($val10);$val14/($val9),$val13/($val10)])
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val16=!translate internal $	\
$ to ;; in $tmp
!else
t_=!replace internal \( by ( in print([$val13/($val10),$val14/($val10);$val11/($val9),$val12/($val9)])
tmp1=!exec pari $t_

tmp=!trim 	 $(tmp1)
val16=!translate internal $	\
$ to ;; in $tmp
!endif

!ifval $val8=1
val17=A*[$val15]
!else
val17=[$val15]*A
!endif
replytype1=matrix
replyname1=A<sup>-1</sup>
replygood1=$val16
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Tenemos una matriz $m_A, de orden 2&times;2, con	<p><center>	 
!insmath $val17 = [0,$val9;$val10,0] 
$()&nbsp;&nbsp;.	</center> <p>	Calcular la matriz inversa de $m_A.	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=9,10,17
embedcnt=0
